(* uiDevice.mli     Interface for Cocoa Touch UIDevice
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

type orientation =
      OrientationUnknown
    | OrientationPortrait
    | OrientationPortraitUpsideDown
    | OrientationLandscapeLeft
    | OrientationLandscapeRight
    | OrientationFaceUp
    | OrientationFaceDown

class t :
    nativeint ->
    object
    inherit Wrapper.t

    method orientation : orientation
    method beginGeneratingDeviceOrientationNotifications : unit
    end

val currentDevice : unit -> t
