/* wrap.h     Simple custom wrappers for Portland example
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 */

/* An OCaml value wrapped up for access from ObjC.
 */
@interface WrapOCaml : NSObject {
}
@property (nonatomic, readonly) value contents;
@end

/* Wrapped version of Portlandappdeleg.t
 */
@interface Portlandappdeleg : WrapOCaml <UIApplicationDelegate>
{
}
@property (nonatomic, retain) IBOutlet UILabel *label;
- (void) timerTick: (NSTimer *) aTimer;
@end
